KBuildProtocolInfoFactory Class Reference

`#include <kbuildprotocolinfofactory.h>`

Inherits KProtocolInfoFactory.

## Public Member Functions

| KBuildProtocolInfoFactory ()
virtual KProtocolInfo * | createEntry (const QString &, const char *)
virtual KProtocolInfo * | createEntry (int)
virtual void | addEntry (KSycocaEntry *newEntry, const char *resource)

## Static Public Member Functions

static QStringList | resourceTypes ()

## Detailed Description

Protocol Info factory for building ksycoca.

Definition at line 30 of file kbuildprotocolinfofactory.h.

## Constructor & Destructor Documentation

KBuildProtocolInfoFactory::KBuildProtocolInfoFactory | ( |  | ) |

Create factory.

Definition at line 31 of file kbuildprotocolinfofactory.cpp.

## Member Function Documentation

void KBuildProtocolInfoFactory::addEntry | ( | KSycocaEntry * | newEntry,
|  | const char * | resource
| ) |  |

virtual

Add a new entry.

Definition at line 57 of file kbuildprotocolinfofactory.cpp.

KProtocolInfo * KBuildProtocolInfoFactory::createEntry | ( | const QString & | file,
|  | const char * |
| ) |  |

virtual

Create new entry.

Definition at line 51 of file kbuildprotocolinfofactory.cpp.

QStringList KBuildProtocolInfoFactory::resourceTypes | ( |  | ) |

static

Returns all resource types for this service factory.

Definition at line 40 of file kbuildprotocolinfofactory.cpp.

The documentation for this class was generated from the following files:

- kbuildprotocolinfofactory.h
- kbuildprotocolinfofactory.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys